Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.filter
Class AlwaysFilter

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.filter.AlwaysFilter`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, Filter, EntryFilter, IndexAwareFilter, Serializable

      public class AlwaysFilter

extends ExternalizableHelper
implements IndexAwareFilter, ExternalizableLite, PortableObject

Filter which always evaluates to true.

Author:
  gg 2003.09.18

Field Summary
`static AlwaysFilter` | `INSTANCE` An instance of the AlwaysFilter.

Constructor Summary
`AlwaysFilter()` Construct an AlwaysFilter.

Method Summary
`Filter` | `applyIndex(Map mapIndexes, Set setKeys)` Filter remaining keys using a Map of available indexes.
`int` | `calculateEffectiveness(Map mapIndexes, Set setKeys)` Given a Map of available indexes, determine if this IndexAwareFilter can use any of the indexes to assist in its processing, and if so, determine how effective the use of that index would be.
`boolean` | `equals(Object o)` Compare the AlwaysFilter with another object to determine equality.
`boolean` | `evaluate(Object o)` Apply the test to the object.
`boolean` | `evaluateEntry(Map.Entry entry)` Apply the test to a Map Entry.
`int` | `hashCode()` Determine a hash value for the AlwaysFilter object according to the general `Object.hashCode()` contract.
`void` | `readExternal(DataInput in)` Restore the contents of this object by loading the object's state from the passed DataInput object.
`void` | `readExternal(PofReader in)` Restore the contents of a user type instance by reading its state using the specified PofReader object.
`String` | `toString()` Return a human-readable description for this Filter.
`void` | `writeExternal(DataOutput out)` Save the contents of this object by storing the object's state into the passed DataOutput object.
`void` | `writeExternal(PofWriter out)` Save the contents of a POF user type instance by writing its state using the specified PofWriter object.

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Field Detail

### INSTANCE

    public static final AlwaysFilter INSTANCE

  An instance of the AlwaysFilter.

Constructor Detail

### AlwaysFilter

    public AlwaysFilter()

  Construct an AlwaysFilter.

Method Detail

### evaluate

    public boolean evaluate(Object o)

  Apply the test to the object.
  Specified by:
    `evaluate` in interface `Filter`
  Parameters:
    `o` - the object to test
  Returns:
    true if the test passes, false otherwise

### evaluateEntry

    public boolean evaluateEntry(Map.Entry entry)

  Apply the test to a Map Entry.
  Specified by:
    `evaluateEntry` in interface `EntryFilter`
  Parameters:
    `entry` - the Map Entry to evaluate; never null
  Returns:
    true if the test passes, false otherwise

### calculateEffectiveness

    public int calculateEffectiveness(Map mapIndexes,
                                      Set setKeys)

  Given a Map of available indexes, determine if this IndexAwareFilter can use any of the indexes to assist in its processing, and if so, determine how effective the use of that index would be. <p/> The returned value is an effectiveness estimate of how well this filter can use the specified indexes to filter the specified keys. An operation that requires no more than a single access to the index content (i.e. Equals, NotEquals) has an effectiveness of one. Evaluation of a single entry is assumed to have an effectiveness that depends on the index implementation and is usually measured as a constant number of the single operations. This number is referred to as evaluation cost. <p/> If the effectiveness of a filter evaluates to a number larger than the `keySet.size() * <evaluation cost>` then a user could avoid using the index and iterate through the keySet calling `evaluate` rather then `applyIndex`.
  Specified by:
    `calculateEffectiveness` in interface `IndexAwareFilter`
  Parameters:
    `mapIndexes` - the available `MapIndex` objects keyed by the related ValueExtractor; read-only
    `setKeys` - the set of keys that will be filtered; read-only
  Returns:
    an effectiveness estimate of how well this filter can use the specified indexes to filter the specified keys

### applyIndex

    public Filter applyIndex(Map mapIndexes,
                             Set setKeys)

  Filter remaining keys using a Map of available indexes. <p/> The filter is responsible for removing all keys from the passed set of keys that the applicable indexes can prove should be filtered. If the filter does not fully evaluate the remaining keys using just the index information, it must return a filter (which may be an `EntryFilter`) that can complete the task using an iterating implementation. If, on the other hand, the filter does fully evaluate the remaining keys using just the index information, then it should return null to indicate that no further filtering is necessary.
  Specified by:
    `applyIndex` in interface `IndexAwareFilter`
  Parameters:
    `mapIndexes` - the available `MapIndex` objects keyed by the related ValueExtractor; read-only
    `setKeys` - the mutable set of keys that remain to be filtered
  Returns:
    a `Filter` object (which may be an `EntryFilter`) that can be used to process the remaining keys, or null if no additional filter processing is necessary

### equals

    public boolean equals(Object o)

  Compare the AlwaysFilter with another object to determine equality.
  Returns:
    true iff this AlwaysFilter and the passed object are equivalent AlwaysFilters

### hashCode

    public int hashCode()

  Determine a hash value for the AlwaysFilter object according to the general `Object.hashCode()` contract.
  Returns:
    an integer hash value for this AlwaysFilter object

### toString

    public String toString()

  Return a human-readable description for this Filter.
  Returns:
    a String description of the Filter

### readExternal

    public void readExternal(DataInput in)
                      throws IOException

  Restore the contents of this object by loading the object's state from the passed DataInput object.
  Specified by:
    `readExternal` in interface `ExternalizableLite`
  Parameters:
    `in` - the DataInput stream to read data from in order to restore the state of this object
  Throws:
    `IOException` - if an I/O exception occurs
    `NotActiveException` - if the object is not in its initial state, and therefore cannot be deserialized into

### writeExternal

    public void writeExternal(DataOutput out)
                       throws IOException

  Save the contents of this object by storing the object's state into the passed DataOutput object.
  Specified by:
    `writeExternal` in interface `ExternalizableLite`
  Parameters:
    `out` - the DataOutput stream to write the state of this object to
  Throws:
    `IOException` - if an I/O exception occurs

### readExternal

    public void readExternal(PofReader in)
                      throws IOException

  Restore the contents of a user type instance by reading its state using the specified PofReader object.
  Specified by:
    `readExternal` in interface `PortableObject`
  Parameters:
    `in` - the PofReader from which to read the object's state
  Throws:
    `IOException` - if an I/O error occurs

### writeExternal

    public void writeExternal(PofWriter out)
                       throws IOException

  Save the contents of a POF user type instance by writing its state using the specified PofWriter object.
  Specified by:
    `writeExternal` in interface `PortableObject`
  Parameters:
    `out` - the PofWriter to which to write the object's state
  Throws:
    `IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.